Std Mode d'édition

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std UserEditMode and the translation is 100% complete.
Other languages:
English • ‎français • ‎polski
Arrow-left.svg Page précédente : Std Edit.svg Bascule mode édition
Page suivante : Préférences Std DlgPreferences.svg Arrow-right.svg

Std UserEditMode.svg Std Mode d'édition

Emplacement du menu
Edition → Mode d'édition → ...
Ateliers
Tous
Raccourci par défaut
Aucun
Introduit dans la version
0.20
Voir aussi
Std Bascule mode édition

Description

La commande Std Bascule mode édition définit le mode d'édition à utiliser lorsqu'un objet est double-cliqué dans la Vue en arborescence.

Utilisation

  1. Il existe plusieurs façons de lancer la commande :
    • Cliquez sur la flèche noire descendante à droite du bouton Std UserEditModeDefault.svg Mode d'édition et sélectionnez un mode d'édition dans le menu déroulant. Remarque : l'image du bouton change en fonction de l'option sélectionnée.
    • Dans le menu, allez à Affichage → Mode d'édition et sélectionnez un mode d'édition.

Modes d'édition disponibles

Std UserEditModeDefault.svg Défault

L'objet sera édité en utilisant son mode par défaut. Ce mode d'édition est défini en interne pour être le plus approprié au type d'objet. Par exemple, ce sera l'édition des propriétés de forme pour des Part Primitives et des PartDesign Fonctionnalités, l'édition du placement pour des Part Booléens etc...

Std UserEditModeTransform.svg Transformer

L'objet aura son placement modifiable avec la commande Std Transformation manipulation.

Std UserEditModeCutting.svg Coupe

Ce mode d'édition est implémenté comme étant disponible mais ne semble pas actuellement être utilisé par aucun objet.

Std UserEditModeColor.svg Couleur

L'objet aura la couleur de ses faces indépendantes modifiables avec la commande Part Définir les couleurs.

Remarques

  • Tous les objets ne supportent pas tous les modes d'édition. Si le mode sélectionné n'est pas supporté par l'objet, son mode d'édition par défaut sera utilisé à la place.

Préférences

  • Le dernier mode d'édition est mémorisé : Outils → Editer paramètres... → BaseApp → Preferences → General → UserEditMode. Il s'agit d'une valeur entière. Les valeurs possibles sont 0 (Par défaut), 1 (Transformation), 2 (Coupe) ou 3 (Couleur). La valeur par défaut est 0.

Script

Voir aussi: FreeCAD Script de base.

Pour répertorier les modes d'édition disponibles :

import FreeCADGui
FreeCADGui.listUserEditModes()

Pour obtenir le mode d'édition actif :

import FreeCADGui
FreeCADGui.getUserEditMode()

Pour définir le mode d'édition actif :

import FreeCADGui
FreeCADGui.setUserEditMode(MODENAME) # Where MODENAME is a string available in the list of edit modes


Arrow-left.svg Page précédente : Std Edit.svg Bascule mode édition
Page suivante : Préférences Std DlgPreferences.svg Arrow-right.svg